package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesPojoVersion;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;

import java.util.List;

public interface IMesPojoVersionService {

     /**
      * 获取版本信息
      * @param bean
      * @return
      */
     MesPojoVersion getPojoVersion(MesPojoVersion bean);
     /**
      * 保存变动记录
      * @param mesPojoVersion
      */
     void recordPojoVersion(MesPojoVersion mesPojoVersion);

     void savePojoVersion(Object obj, Class cls);

     void insertPojoVersion(Object obj, Class cls);

     void savePojoVersionList(List<Object> list, Class cls);

     void insertPojoVersionList(List<Object> list, Class cls);
}
